### Function

# Atspi deregister_device_event_listener

#### Declaration [src]

    gboolean
    atspi_deregister_device_event_listener (
      AtspiDeviceListener* listener,
      void* filter,
      GError** error
    )

#### Description [src]

Removes a device event listener from the registry’s listener queue, ceasing notification of events of the specified type.

#### Parameters

`listener`

  Type: `AtspiDeviceListener`

  A pointer to the `AtspiDeviceListener` for which device events are requested.

  The data is owned by the caller of the function.

`filter`

  Type: `void*`

  Unused parameter.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.